// Illustrate Euclid's algorithm for greatest common divisor
// calculation (GCD)
// http://en.wikipedia.org/wiki/Greatest_common_divisor
// 
// Shows the equivalence of a for and a while loop
public class GCD{
  public static void main(String args[]){
    { // for loop version
      int x = 48, y = 18;
      int a, b, rem;

      System.out.printf("Calculatin GCD of %d and %d\n", x,y);
      for(a=x, b=y, rem=a%b;
          rem != 0;
          rem=a%b){
        a = b;
        b = rem;
      }
      System.out.printf("The GCD of %d and %d is %d \n",
                        x,y,b);
    }
    { // while loop version

      int x = 48, y = 18;
      int a, b, rem;

      System.out.printf("Calculatin GCD of %d and %d\n", x,y);
      a=x; b=y; rem=a%b;
      while(rem != 0){
        a = b;
        b = rem;
        rem = a%b;
      }
      System.out.printf("The GCD of %d and %d is %d \n",
                        x,y,b);

    }
  }
}
